Subject: Re: bug#54158: 28.0.91; duplicate mail downloads in Gnus (IMAP)

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 18 Mar 2022 09:03:18 -0700

On 03/18/22 11:27 AM, Stefan Monnier wrote:
>> If something funny is happening with the values of fetchflag or
>> dontexpunge, we can drag in Stefan M, who changed `mail-source-bind'.
>
> FWIW, I just took a look at the macroexpanded form of
> `mail-source-fetch-imap` and my "fishiness" detector didn't notice
> anything out of the expected.
>
> I don't understand the code enough to detect if there's something wrong,
> but at least the new expanded code looks the way I wanted to make it
> look (e.g. `dontexpunge` is indeed dynamically bound inside this
> function).

Yeah, my "hunches" are wrong almost 100% of the time. It's too bad,
though, because otherwise I don't have the faintest idea where to start
debugging this. I was just going to set up a local IMAP account to use
as a mail source, and hope that something presented itself.